DeserializerFactory.Config (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Class DeserializerFactory.Config

- java.lang.Object
- - org.codehaus.jackson.map.DeserializerFactory.Config

- Direct Known Subclasses:
    BeanDeserializerFactory.ConfigImpl
  Enclosing class:
    DeserializerFactory

      public abstract static class DeserializerFactory.Config
      extends Object

  Configuration settings container class for bean deserializer factory
  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeserializerFactory.Config()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Iterable<AbstractTypeResolver>` | `abstractTypeResolvers()`
    `abstract Iterable<BeanDeserializerModifier>` | `deserializerModifiers()`
    `abstract Iterable<Deserializers>` | `deserializers()`
    `abstract boolean` | `hasAbstractTypeResolvers()`
    `abstract boolean` | `hasDeserializerModifiers()`
    `abstract boolean` | `hasDeserializers()`
    `abstract boolean` | `hasKeyDeserializers()`
    `abstract boolean` | `hasValueInstantiators()`
    `abstract Iterable<KeyDeserializers>` | `keyDeserializers()`
    `abstract Iterable<ValueInstantiators>` | `valueInstantiators()`
    `abstract DeserializerFactory.Config` | `withAbstractTypeResolver(AbstractTypeResolver resolver)` Fluent/factory method used to construct a configuration object that has same configuration as this instance plus one additional abstract type resolver.
    `abstract DeserializerFactory.Config` | `withAdditionalDeserializers(Deserializers additional)` Fluent/factory method used to construct a configuration object that has same deserializer providers as this instance, plus one specified as argument.
    `abstract DeserializerFactory.Config` | `withAdditionalKeyDeserializers(KeyDeserializers additional)` Fluent/factory method used to construct a configuration object that has same key deserializer providers as this instance, plus one specified as argument.
    `abstract DeserializerFactory.Config` | `withDeserializerModifier(BeanDeserializerModifier modifier)` Fluent/factory method used to construct a configuration object that has same configuration as this instance plus one additional deserialiazer modifier.
    `abstract DeserializerFactory.Config` | `withValueInstantiators(ValueInstantiators instantiators)` Fluent/factory method used to construct a configuration object that has same configuration as this instance plus specified additional value instantiator provider object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeserializerFactory.Config

          public DeserializerFactory.Config()

  - ### Method Detail

    - #### withAdditionalDeserializers

          public abstract DeserializerFactory.Config withAdditionalDeserializers(Deserializers additional)

      Fluent/factory method used to construct a configuration object that has same deserializer providers as this instance, plus one specified as argument. Additional provider will be added before existing ones, meaning it has priority over existing definitions.

    - #### withAdditionalKeyDeserializers

          public abstract DeserializerFactory.Config withAdditionalKeyDeserializers(KeyDeserializers additional)

      Fluent/factory method used to construct a configuration object that has same key deserializer providers as this instance, plus one specified as argument. Additional provider will be added before existing ones, meaning it has priority over existing definitions.

    - #### withDeserializerModifier

          public abstract DeserializerFactory.Config withDeserializerModifier(BeanDeserializerModifier modifier)

      Fluent/factory method used to construct a configuration object that has same configuration as this instance plus one additional deserialiazer modifier. Added modifier has the highest priority (that is, it gets called before any already registered modifier).

    - #### withAbstractTypeResolver

          public abstract DeserializerFactory.Config withAbstractTypeResolver(AbstractTypeResolver resolver)

      Fluent/factory method used to construct a configuration object that has same configuration as this instance plus one additional abstract type resolver. Added resolver has the highest priority (that is, it gets called before any already registered resolver).
      Since:
        1.8

    - #### withValueInstantiators

          public abstract DeserializerFactory.Config withValueInstantiators(ValueInstantiators instantiators)

      Fluent/factory method used to construct a configuration object that has same configuration as this instance plus specified additional value instantiator provider object. Added instantiator provider has the highest priority (that is, it gets called before any already registered resolver).
      Parameters:
        `instantiators` - Object that can provide `ValueInstantiator`s for constructing POJO values during deserialization
      Since:
        1.9

    - #### deserializers

          public abstract Iterable<Deserializers> deserializers()

    - #### keyDeserializers

          public abstract Iterable<KeyDeserializers> keyDeserializers()

      Since:
        1.8

    - #### deserializerModifiers

          public abstract Iterable<BeanDeserializerModifier> deserializerModifiers()

    - #### abstractTypeResolvers

          public abstract Iterable<AbstractTypeResolver> abstractTypeResolvers()

      Since:
        1.8

    - #### valueInstantiators

          public abstract Iterable<ValueInstantiators> valueInstantiators()

      Since:
        1.9

    - #### hasDeserializers

          public abstract boolean hasDeserializers()

    - #### hasKeyDeserializers

          public abstract boolean hasKeyDeserializers()

      Since:
        1.8

    - #### hasDeserializerModifiers

          public abstract boolean hasDeserializerModifiers()

    - #### hasAbstractTypeResolvers

          public abstract boolean hasAbstractTypeResolvers()

      Since:
        1.8

    - #### hasValueInstantiators

          public abstract boolean hasValueInstantiators()

      Since:
        1.9